summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-config/install_functions.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2009-04-01 03:07:43 (GMT)
committerJames Meyer <james.meyer@operamail.com>2009-04-01 03:07:43 (GMT)
commit2e3d0d812bc9459adea4b0dbf1b038dbd1e79dc0 (patch)
tree23353a165922bfbbd8fd334ef10ead163a22c376 /abs/core-testing/LinHES-config/install_functions.sh
parent8e7344c420b147242aa3a0d3a902c9d13046b0d9 (diff)
downloadlinhes_pkgbuild-2e3d0d812bc9459adea4b0dbf1b038dbd1e79dc0.zip
linhes_pkgbuild-2e3d0d812bc9459adea4b0dbf1b038dbd1e79dc0.tar.gz
linhes_pkgbuild-2e3d0d812bc9459adea4b0dbf1b038dbd1e79dc0.tar.bz2
LinHES-config: reworked lirc configuration to make it easier to use.
currently hauppauge is broken.
Diffstat (limited to 'abs/core-testing/LinHES-config/install_functions.sh')
-rwxr-xr-xabs/core-testing/LinHES-config/install_functions.sh22
1 files changed, 20 insertions, 2 deletions
diff --git a/abs/core-testing/LinHES-config/install_functions.sh b/abs/core-testing/LinHES-config/install_functions.sh
index ddade6d..a57e1bd 100755
--- a/abs/core-testing/LinHES-config/install_functions.sh
+++ b/abs/core-testing/LinHES-config/install_functions.sh
@@ -85,12 +85,30 @@ do
FoundReceiverType=`echo "$line"|cut -d"|" -f2`
Remotetype=`echo "$line"|cut -d"|" -f4`
statusline=`echo "$line"|cut -d"|" -f2,4`
- echo "Found $statusline , $Remotetype"
+ #echo "Found $statusline , $Remotetype"
+ echo "Found Hauppauge"
+ echo "-------------------"
+ echo " 1) Hauppauge black"
+ echo " 2) Hauppauge silver"
+ echo " 3) hauppauge-grey-g3"
+ echo ""
+ read -p "Which Hauppauge remote (5 sec): " -t 5 ans
+ echo
+ if [ "$?" != "0" ]; then
+ echo
+ echo "Using default $Remotetype"
+ else
+ case $ans in
+ 1) Remotetype="hauppauge-black";;
+ 2) Remotetype="hauppauge-silver";;
+ 3) Remotetype="hauppauge-grey-g3" ;;
+ *) echo "Using default $Remotetype";;
+ esac
+ fi
update_db_settings HostReceiverType $FoundReceiverType
setupremote
break
fi
-
done
}